
package com.jeelowcode.framework.utils.enums;


/**
 * 表类型 表类型;1单表、2树表、3主表、4附表
 */
public enum TableTypeEnum {

    SINGLE(1, "单表"),
    TREE(2, "树表"),
    MAIN(3, "主表"),
    SUB(4, "附表");

    private final Integer type;
    private final String name;

    public Integer getType() {
        return type;
    }

    public String getName() {
        return name;
    }

    TableTypeEnum(Integer type, String name) {
        this.type = type;
        this.name = name;
    }
}
